--- title: "getAutoScalingGroupList" slug: "compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getAutoScalingGroupList Available in VPC Get a list of Auto Scaling Groups. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/getAutoScalingGroupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNoList.N` | Array | Optional | Auto Scaling Group number list - Filter by the Auto Scaling Group number. - Example: `autoScalingGroupNoList.1=1234&autoScalingGroupNoList.2=2345` | | `autoScalingGroupNameList.N` | Array | Optional | Auto Scaling Group name list - Filter by the Auto Scaling Group name. - Example: `autoScalingGroupNameList.1=test1&autoScalingGroupNameList.2=test2` | | `pageNo` | Integer | Optional | Page number - 1-N | | `pageSize` | Integer | Conditional | Number of items per page - 1-N - Required when entering `pageNo` | | `sortList.N.sortedBy` | String | Optional | Sort target - `autoScalingGroupName`: Auto Scaling Group name (valid value) - Example: `sortList.1.sortedBy=autoScalingGroupName` | | `sortList.N.sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: ascending order - `DESC`: descending order | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/getAutoScalingGroupList ?regionCode=KR &autoScalingGroupNameList.1=asg &autoScalingGroupNameList.2=source &pageNo=1 &pageSize=10 &sortList.1.sortedBy=autoScalingGroupName &sortList.1.sortingOrder=DESC &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getAutoScalingGroupListResponse` | Object | - | Response result - See [AutoScalingGroupList](/docs/en/common-vapidatatype-autoscalinggrouplist). | | `getAutoScalingGroupListResponse.requestId` | String | - | ID for the request - UUID format | | `getAutoScalingGroupListResponse.returnCode` | String | - | Response code | | `getAutoScalingGroupListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getAutoScalingGroupListResponse": { "totalRows": 2, "autoScalingGroupList": [ { "vpcNo": "4**5", "subnetNo": "3***4", "serverNamePrefix": "", "autoScalingGroupNo": "1***0", "autoScalingGroupName": "as19762e1ddd2", "launchConfigurationNo": "5891", "minSize": 0, "maxSize": 10, "desiredCapacity": 0, "defaultCoolDown": 300, "healthCheckGracePeriod": 300, "healthCheckType": { "code": "SVR", "codeName": "Server" }, "createDate": "2025-06-17T15:44:19+0900", "autoScalingGroupStatus": { "code": "CREAT", "codeName": "Created" }, "targetGroupNoList": [], "inAutoScalingGroupServerInstanceList": [], "accessControlGroupNoList": [ "1***1" ], "suspendedProcessList": [] }, { "vpcNo": "4**5", "subnetNo": "3***4", "serverNamePrefix": "", "autoScalingGroupNo": "1***2", "autoScalingGroupName": "test-asg-80581", "launchConfigurationNo": "5891", "minSize": 1, "maxSize": 3, "desiredCapacity": 1, "defaultCoolDown": 300, "healthCheckGracePeriod": 300, "healthCheckType": { "code": "LOADB", "codeName": "Load Balancer" }, "createDate": "2025-05-16T10:39:23+0900", "autoScalingGroupStatus": { "code": "CREAT", "codeName": "Created" }, "targetGroupNoList": [ "414714" ], "inAutoScalingGroupServerInstanceList": [ { "serverInstanceNo": "10*****61", "healthStatus": { "code": "HLTHY", "codeName": "Success" }, "lifecycleState": { "code": "INSVC", "codeName": "In service" } } ], "accessControlGroupNoList": [ "1***1" ], "suspendedProcessList": [ { "process": { "code": "ADTLB", "codeName": "Add a server instance to load balancer" }, "suspensionReason": "User suspended at 2025-05-16 10:39:23.31694776" }, { "process": { "code": "ALMNO", "codeName": "Alarm notification" }, "suspensionReason": "User suspended at 2025-05-16 10:39:23.31694776" }, { "process": { "code": "SCACT", "codeName": "Scheduled action" }, "suspensionReason": "User suspended at 2025-05-16 10:39:23.31694776" } ] } ], "requestId": "c8efabf2-****-****-****-303b4009e362", "returnCode": "0", "returnMessage": "success" } } ```